import {Component, Input, ViewChild} from '@angular/core';
import {TaskgroupEntityInfo, TaskShortInfo} from "../../../api";
import {FormControl, Validators} from "@angular/forms";
import {DateTimePickerComponent} from "../../date-time-picker/date-time-picker.component";

@Component({
  selector: 'app-advanced-scheduler',
  templateUrl: './advanced-scheduler.component.html',
  styleUrls: ['./advanced-scheduler.component.css']
})
export class AdvancedSchedulerComponent {

  @Input() task: TaskShortInfo | undefined;
  @Input() taskgroup: TaskgroupEntityInfo | undefined

  @ViewChild('startTimePicker') startTimePicker?: DateTimePickerComponent;
  @ViewChild('stopTimePicker') stopTimePicker?: DateTimePickerComponent;


  selectedStartTime: Date | undefined
  selectedStopTime: Date | undefined

  setDate(clickedDate: Date) {
    if(this.selectedStartTime == undefined) {
      this.startTimePicker!.setDateTime(clickedDate);
      this.selectedStartTime = clickedDate;
    } else {
      this.stopTimePicker!.setDateTime(clickedDate);
      this.selectedStopTime = clickedDate;
    }
  }

  onStartTimeSet(selectedDate: Date) {
    this.selectedStartTime = selectedDate;
  }

  onStopTimeSet(selectedDate: Date) {
    this.selectedStopTime = selectedDate;
  }
}
